OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | List of all members
VoxelizePolygons< TreeType, MeshDataAdapter, Interrupter > Class Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | VoxelizationDataType = VoxelizationData< TreeType >
using | DataTable = tbb::enumerable_thread_specific< typename VoxelizationDataType::Ptr >

## Public Member Functions
| VoxelizePolygons (DataTable &dataTable, const MeshDataAdapter &mesh, Interrupter *interrupter=nullptr)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ DataTable

using DataTable = tbb::enumerable_thread_specific<typename VoxelizationDataType::Ptr>

## ◆ VoxelizationDataType

using VoxelizationDataType = VoxelizationData<TreeType>

## Constructor & Destructor Documentation

## ◆ VoxelizePolygons()

VoxelizePolygons | ( | DataTable & | dataTable,
|  | const MeshDataAdapter & | mesh,
|  | Interrupter * | interrupter = `nullptr`
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this class was generated from the following file:

- MeshToVolume.h